h29868
s 00034/00000/00000
d D 1.1 82/08/03 08:47:00 cecily 1 0
e
u
U
t
T
I 1
dup	title	unix c svc library -- dup

.dup	equ	41

	entry	dup
	entry	dup2
r0	equ	0
r1	equ	1
rf	equ	15
sp	equ	7
*
	pure
dup2	equ	*
	l	r0,0(sp)
	ohi	r0,x'40'
	b	_dup

dup	equ	*
	l	r0,0(sp)	file descriptor

_dup	equ	*
	l	r1,adc(sp)	second fd
	svc	0,.dup
	bc	error
	br	rf
error	equ	*
	st	r0,errno
	lcs	r0,1		error return
	br	rf

errno	comn
	das	1
	ends
	end
E 1
